Package com.xebialabs.xlrelease.utils

## Class Graph.DFS$

- java.lang.Object
- - com.xebialabs.xlrelease.utils.Graph.DFS$

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    Graph<A>

      public static class Graph.DFS$
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Graph.DFS$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DFS$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A,​B> Graph.DFS<A,​B>` | `apply​(B value, scala.collection.immutable.Set<A> visited, scala.collection.immutable.Set<A> temp, scala.collection.immutable.List<A> order, boolean done, boolean hasCycle)` |
    `<A,​B> Graph.DFS<A,​B>` | `empty​(B initialValue)` |
    `<A,​B> scala.Option<scala.Tuple6<B,​scala.collection.immutable.Set<A>,​scala.collection.immutable.Set<A>,​scala.collection.immutable.List<A>,​java.lang.Object,​java.lang.Object>>` | `unapply​(Graph.DFS<A,​B> x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final Graph.DFS$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### DFS$

          public DFS$()

  - ### Method Detail

    - #### empty

          public <A,​B> Graph.DFS<A,​B> empty​(B initialValue)

    - #### apply

          public <A,​B> Graph.DFS<A,​B> apply​(B value,
                                                        scala.collection.immutable.Set<A> visited,
                                                        scala.collection.immutable.Set<A> temp,
                                                        scala.collection.immutable.List<A> order,
                                                        boolean done,
                                                        boolean hasCycle)

    - #### unapply

          public <A,​B> scala.Option<scala.Tuple6<B,​scala.collection.immutable.Set<A>,​scala.collection.immutable.Set<A>,​scala.collection.immutable.List<A>,​java.lang.Object,​java.lang.Object>> unapply​(Graph.DFS<A,​B> x$0)